### Method

# FwupdPlugin Archive write

#### Declaration [src]

    GByteArray*
    fu_archive_write (
      FuArchive* self,
      FuArchiveFormat format,
      FuArchiveCompression compression,
      GError** error
    )

#### Description [src]

Writes an archive with specified `format` and `compression`.

Available since: | 1.8.1

#### Parameters

`format` | `FuArchiveFormat`
| A compression, e.g. `FU_ARCHIVE_FORMAT_ZIP`
`compression` | `FuArchiveCompression`
| A compression, e.g. `FU_ARCHIVE_COMPRESSION_NONE`
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `guint8`
| The archive blob.
| The caller of the method takes ownership of the data, and is responsible for freeing it.